com.elastisys.scale.cloudpool.api.types

## Class Machine.StartedMachinePredicate

- java.lang.Object
- - com.elastisys.scale.cloudpool.api.types.Machine.StartedMachinePredicate

All Implemented Interfaces:
  com.google.common.base.Predicate<Machine>

Enclosing class:
  Machine

    public static class Machine.StartedMachinePredicate
    extends Object
    implements com.google.common.base.Predicate<Machine>

A `Predicate` that returns `true` when passed a `Machine` that has been started by the underlying infrastructure (machine state is `MachineState.PENDING` or `MachineState.RUNNING`).

See Also:
  `MachineState`

### Constructor Summary

Constructors
Constructor and Description
`StartedMachinePredicate()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `apply(Machine machine)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.common.base.Predicate

`equals`

### Constructor Detail

#### StartedMachinePredicate

    public StartedMachinePredicate()

### Method Detail

#### apply

    public boolean apply(Machine machine)

Specified by:
  `apply` in interface `com.google.common.base.Predicate<Machine>`